%define third_party_jars servletapi5

# -----------------------------------------------------------------------------

Summary: An xmlrpc library
Name: redstone-xmlrpc
Version: 1.1.1
Release: 0.20080802.1%{?dist}
License: LGPL
Group: Development/Library
URL: http://xmlrpc.sourceforge.net
# svn co https://xmlrpc.svn.sourceforge.net/svnroot/xmlrpc/trunk xmlrpc
# tar -zcf redstone-xmlrpc-1.1.1.tar.gz --exclude .svn xmlrpc
Source0: %{name}-%{version}.tar.gz
Patch0: xmlrpc-build-classpath.patch
Patch1: xmlrpc-javadoc.patch
Patch2: xmlrpc-copyright.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: jpackage-utils >= 0:1.7
BuildRequires: servletapi5
BuildRequires: ant
BuildArch: noarch
Requires: servletapi5

%description 
Redstone XML-RPC Library is a small but versatile implementation of the XML-RPC specification.

# -----------------------------------------------------------------------------

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -n xmlrpc
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm lib/javax.servlet.jar
build-jar-repository -p lib/ %third_party_jars

# -----------------------------------------------------------------------------

%build
ant jars javadoc

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/xmlrpc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/xmlrpc-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-client-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%{_javadir}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Sat Aug 02 2008 Jesus M. Rodriguez <jesusr@redhat.com>
- added javadoc patch
- added javadoc to the spec file
- fixed copyright character encoding error
- changed the build.xml classpath patch to not update the version
- changed release number format

* Sat Jul 26 2008 Jesus M. Rodriguez <jesusr@redhat.com>
- rebasing to latest svn version 1.1.1 which includes my patch
- removed reliance on external version file

* Tue Nov 20 2007 Jesus M. Rodriguez <jesusr@redhat.com>
- rebasing to latest svn version
- faultcode patch was accepted by maintainer
- patching fault exception serialization

* Mon Sep 17 2007 Jesus M. Rodriguez <jesusr@redhat.com>
- Initial build.
